Legend:
+ New
* Changed
! Fixed


1.6.2 - 26 May 2012
=========================
+ MatroskaSplitter: Support for QT video formats in Matroska v1 and MPEG-1
+ Added .tak extension
* Changed default settings
    - Global media keys are now activated by default
    - Media volume keys will now change the system's volume when MPC-HC is
      the foreground application
+ Added a new Zoom option "Auto Fit (large only)"
+ Ticket #1792, Show an OSD message and a status message when a favorite is
  created via the keyboard shortcut
+ Ticket #1866, Added suppport for MLP audio in MpaDecFilter and DTSAC3Source
+ Ticket #2134, Added an auto-update feature to periodically check for new
  update. This feature can be enabled on first launch or via the Miscellaneous
  options page. The delay between the checks is also customizable.
+ Ticket #2193, Add PNG support for custom toolbars
+ Added Basque translation
+ Include unrar.dll in the installer; rar'ed subtitles should be supported out of the box
* Ticket #734, A unicode encoding will now be used for the ini file. Old ASCII
  ini files will be automatically converted to unicode. Favorites with unicode
  filenames are now correctly handled when using an ini file
* Ticket #1693, [VSFilter] Remove the feature preventing the screensaver from
  running when VSFilter is active since that's a job for players not for filters
* Ticket #1733/#2029, Include subfolders when opening a folder using the command
  line or via the explorer context menu
* Ticket #2144,2277, Improve the subtitles downloader dialog:
    - the dialog's size and position are now saved
    - the columns' sizes are saved
    - the subtitle list is now fetched from a worker thread (this way the player won't
      lock anymore when the dialog is being opened)
    - reduced flicker
    - tooltips will now be shown for clipped text
* Ticket #2157, Show the [DXVA] indicator even when playback is paused
* Ticket #2163, Improve the "Save As" dialog: the dialog is updated more regularly and
  the units for the sizes and the speed are now automatically adapted to the values
* Ticket #2165, Improve the "Organize Favorites" dialog:
    - the favorites can now be deleted using the delete key or the backspace key
    - the buttons are disabled when they cannot be used
    - pressing the "Enter" key after selecting a favorite will now start playback
    - multiple selection is now allowed so that more than one favorite can be deleted
      or moved at the same time
    - Ctrl + A will select all items and Ctrl + I inverts the selection.
    - the size and position of the dialog are saved
* Ticket #2216, Show seekbar in compact mode instead of the toolbar since all toolbar
  functions can be accessed easily with keyboard shortcuts
* Ticket #2218, Improve the Go To dialog:
    - use a masked edit for entering the timecode (hh:mm:ss.ms or mm:ss.ms depending on
      the file duration)
    - show an error message when the entered timecode is greater than the file duration
* Ticket #2234, Changed some UI fonts according to the OS; more modern fonts will be used
  on Vista and later
* Reduced the maximum number of packets in the Queue, except for AVI. This will
  reduce the amount of memory consumed by the player
* Improved the "Open directory" dialog:
    - when using XP the checkbox will now use only one line when possible and the overall
      dialog will look better
    - on Vista and later the dialog will use the new user interface
* Use the new user interface for all open folder dialogs on Windows Vista and later
* Avoid using negative option in the Tweaks page: change "Don't use 'search in folder'
  on commands 'Skip back/forward' when only one item in playlist" into "Open next/previous
  file in folder on 'Skip back/forward' when there is only one item in playlist"
* The minidump feature is now enabled by default. The crash dialog has been updated to
  redirect the users to the bug tracker. The minidump feature can be turned off completely
  by using the /nominidump switch
* Updated FFmpeg (git 72261fa)
* Updated MediaInfoLib to v0.7.57
* Updated ZenLib to v0.4.26
* Updated SoundTouch to v1.7.0pre r142
* Updated VirtualDub to v1.10.2-test9
* Updated zlib to v1.2.7
* Updated Detours to v3.0 build 316
* Updated Little CMS to v2.4 (git 9e246ec 23/05/2012)
* Updated French, Turkish, Czech, Russian, Ukrainian, Simplified Chinese, Japanese,
  Traditional Chinese, Italian, German, Polish and Portuguese (Brazil) translations
* Removed GTSdll support since it's dead
* Removed the option to disable XP theming since it's of no use for any OS >= Windows XP
* Removed the option "Use the WM ASF Reader for Windows Media files" since it has no
  effect on any "modern" OS (>= Windows XP)
* Removed SSF support
! Broken playback and picture on H.264 and MPEG-2 interlaced with DXVA on
  intergrated Intel adapter
! The settings location is now changed only when applying the changes in the
  options dialog instead of immediately after changing the state of the checkbox
! Improve/Fix the "Open" dialog:
   - the "OK" button will be disabled until a file has been selected
     (this avoids an error when clicking on "OK" while no file was selected)
   - when the selected file cannot be dubbed (for example when opening an rtsp stream)
     the wrong label was grayed out
! MatroskaSplitter: Better detection of fps for some webm files
! MPCVideoDec: Crash with some RV30/40 files when there are no input data from splitter
! MPCVideoDec: H.264 DXVA decoder skipped broken frames on interlaced material
! MpegSplitter: Removed crackling from LPCM tracks when switching and seeking
! MpegSplitter: Fix incorrect detection of MPEG Audio stream as AAC
! AviSplitter: Fix looping not working on short animations
! WebServer: Fix a few errors and typos
! MPCVideoDec: Fix MPEG-2 DXVA for some files
! Fix the remember file/DVD position feature: the positions' cache was not cleared when
  disabling the feature
! The Windows 7 taskbar was sometimes not correctly updated (for example when opening
  another video without closing the previous one). The preview was incorrectly cropped
  when the menu was hidden.
! Ticket #869, The playlist visibility state was incorrectly restored when MPC-HC
  was quited in fullscreen mode while the option "Hide on fullscreen" was enabled
! Ticket #1182, Unable to playback MPEG-2 in AVI
! Ticket #1290, Fix the reversed behavior of the playlist option "Hide on fullscreen"
  when the "Launch files in fullscreen" option is enabled
! Ticket #1589, Crash with "Null (uncompressed)"
! Ticket #1706, CSS 2.1 and HTML 4.01 Validation for the WebServer files
! Ticket #1946, Skipping bug with EVR custom output and .webm with vsync on
! Ticket #2090, Better handling of font fallback in the MediaInfo dialog so that
  the font size is now correctly adapted to the font used
! Ticket #2126, Fix DVBSub: the subtitles' color was incorrect
! Ticket #2133, Javascript error in "player.html"
! Ticket #2137, Disable animation when pressing the "Boss" key
! Ticket #2155, Change the background color of the options pages caption so that
  it is readable with all Windows themes
! Ticket #2156, MPCVideoDec: Incorrect number of frames at the end of playback
  with software decoding
! Ticket #2161, Prevent the "Open" dialog from being opened multiple times
  (for example when double clicking on the tray icon)
! Ticket #2172, MP4Splitter: skip video tracks with motionless frames
! Ticket #2274, MPCVideoDec: the configured threads count was ignored when the
  decoder had to fallback in software mode because of a DXVA incompatible file, only
  one thread was used in this case
! Ticket #2304, MpaDecFilter: PCM 32-bit output gives cracking sound
! Ticket #2313, Fix crash related to the case sensitivity when using play next/previous
  file in folder
! Numerous other bugfixes and improvements


v1.6.1.4235 - 1 April 2012
==============================
+ Use FFmpeg for RealVideo/RealAudio decoding
+ Support for SIPR and VP30/31
+ Support WMV3 DXVA
+ Support for ALAC
+ MatroskaSplitter: support for QDesign Music, Sorenson and Cinepak video
+ Ticket #552, Add the ability to check if a newer stable version is available
  using Help --> Check for updates
+ Ticket #1668, A keyboard shortcut can now be assigned to toggle custom channel mapping on/off
+ Ticket #1738, Support for decoding FLV SWF ADPCM
+ Ticket #2065, CMD_GETCURRENTPOSITION command gives the position with an accuracy of 1 ms
  (only for media files, not for DVD-Video)
+ Ticket #2087, Add some OSD messages when resetting the playback rate
  and changing the zoom level
+ Ticket #2111, A keyboard shortcut can now be assigned to toggle normalization
  and regain volume on/off
* Ticket #1652/#2070, UI improvements:
  - "Tearing Test" and "Display stats" menu entries are now disabled
    if no video is loaded (which means in audio only mode too)
  - The "Organize Favorites" menu entry is disabled if no favorites exist
  - The filename is not highlighted anymore when opening the properties dialog
  - Double-clicking on the file location from the clip properties will now open
    the containing folder and select the current file
  - The information fields in the properties dialog are now correctly aligned with their labels
* Ticket #2098, Improve the behavior of the context menu in the internal filters page: menu items
  are now disabled when it makes sense to do so
* Ticket #2108, Adjust drop-down list width for long shaders name
* Updated libpng to v1.5.10
* Updated Little CMS to v2.3+ (git 839a5b0 23/03/2012)
* Updated FFmpeg
* Updated MediaInfoLib to v0.7.54
* Updated ZenLib to v0.4.25
* Updated VirtualDub to v1.10.2-test5
* New icons for the Windows 7 taskbar controls
* Updated Polish, Japanese, Chinese Simplified, Chinese Traditional, Russian, Ukrainian,
  German, Slovak, French and Armenian translations
! Long opening of MKV files after using the "mkvclean" utility
! Incorrect detection of interlaced flag on some MPEG2 stream with DXVA decoder,
  fix choppy playback with incorrect frame rate
! MPASplitter can't split some .MP3 files
! MPCVideoDec switched to software decoding mode, even if only the DXVA decoder
  was selected, but wasn't supported
! MPEGSplitter can't load MPEG-TS files with corrupted packet header
  (incorrect Adaptation Field)
! Freeze occurs when madVR leaves exclusive mode
! MPCVideoDec bad playback with VC1 files with pulldown in MPEG-TS
! Ticket #90/#971/#1682, MP4Splitter - Fixed hanged image/slow response after seeking
! Ticket #413/#2096, Fixed register command line switches for audio and video files
! Ticket #1007, FLVSplitter: increased the depth of the search for audio and video tags
! Ticket #1815, Only try to expend command line argument into full path name when
  we are sure the argument is supposed to be a path name
! Ticket #1987, MP4Splitter: Fix a deadloop which happened sometimes at the end of a file
! Ticket #2007, Prevent a memory leak in FLACSource
! Ticket #2013, Bug when saving the ASS/SSA subtitle, the header has incorrect values
! Ticket #2014, Embedded subtitle overrides "Prefer external"
! Ticket #2047, Apply button under "EVR Sync Settings" can't be clicked
! Ticket #2057, Don't crash with some incomplete .AVI files
! Ticket #2057, MatroskaSplitter does not use properly cropping parameters
! Ticket #2064, CMD_SETPOSITION command does not start playback when paused
! Ticket #2070, Use MPC-HC's internal formats list when trying to get the format description
  from the file extension
! Ticket #2080, Add fallback fonts for the MediaInfo tab in case Lucida Console isn't available
! Ticket #2088, Fix a crash when double-clicking in the Organize Favorites dialog
  when the favorites list was empty
! Ticket #2093, Fixed time display when subresync bar is enabled
! Ticket #2116, Fix the "Reset" button in Options/Subtitles/Misc
! Ticket #2128, The "Apply" button is now clickable after modifying the web server root directory,
  the fullscreen modes list, the external filters list and the time tooltip option
! Numerous other bugfixes and improvements


v1.6.0.4014 - 30 January 2012
==============================
+ Add the ability to export MPC-HC settings
+ Add the ability to use different mouse button bindings in windowed and
  fullscreen modes
+ Add colors controls for all EVR based renderers
+ Support NV12 output colorspace, NV12 is now preferred over YUY2
  (on ATI HW Deinterlacing and Post-Processing only works with NV12)
+ Support language info for audio and subtitle streams when playing .IFO files
+ Multithreaded decoder
+ FLV Splitter and MP4/MOV Splitter - add support more NellyMoser
+ VC-1 DXVA Decoder now decodes VC-1 interlaced material
+ Support MJPEG(-B), AVRn, JPGL (for AVI), AVDJ (for MOV), TSCC codec and MPEG-2 in AVI
+ Ticket #372, Add the ability of resetting MPC-HC to its default settings using
  either a new button in "Misc" option page or "/reset" command line option.
  Be careful, when using this feature ALL your current settings will be lost.
+ Ticket #866, Add two new command line options:
  - /regpl will create the file associations for playlist files
  - /regall will create the file associations for all file types MPC-HC can handle
+ Ticket #1018, Add support for m3u8 playlist files (UTF-8 variant of the m3u
  playlist format).
+ Ticket #1155, "After Playback" enhancements:
  - each "After Playback" action can now be associated to a keyboard shortcut.
  - an OSD message is shown when an "After Playback" action is selected.
+ Ticket #1627, Open the file's directory from the clip properties
  (by double clicking on it)
+ Ticket #1951, add support for DTS audio in MP4/MOV Splitter
* Updated Belarusian, Chinese (simplified and traditional), Czech, Dutch,
  French, German, Hebrew, Hungarian, Japanese, Korean, Polish, Russian,
  Slovakian and Ukrainian translations
* Updated libogg to v1.3.0
* Updated SoundTouch to v1.6.1pre r131
* Updated VirtualDub to v1.10.1-test16
* Updated MediaInfoLib to v0.7.53
* Updated ZenLib to v0.4.24
* Updated Little CMS to v2.3
* Updated libpng to v1.5.7
* Updated FFmpeg
* Updated zlib to v1.2.6
* Fixed a couple of UI problems with the Windows classic theme
* Use FFmpeg for AAC, MPEG and Vorbis audio decoding
! If "Play # time(s)" was set to a value higher than one and if the playlist
  had more than one element, the playback never stopped.
! If the playlist had only invalid elements, the player would try to
  open the last element forever. If at least one element was invalid,
  the "Play # time(s)" setting would be ignored and the playlist would
  be repeated forever.
! The audio decoder sometimes tried to decode AC3 stream as E-AC3
! Ticket #19, AviSplitter: fixed detection of absolute chunk addressing
! Ticket #53/#1666, [OGG] splitter fails for latest Theora videos
! Ticket #58/#122/#1857, The internal DXVA decoder has "flickering"
  with some H.264 videos
! Ticket #98, MPEGSplitter: fix A/V sync issue on MPEG-TS with H.264 stream;
  some MPEG-TS with H.264 stream was unable to playback with MPC software decoder
! Ticket #111, [VC1 DXVA] Overlap filter causes corruption
! Ticket #285, Ambarella AVC not correctly splitted by MPC-HC's internal
  MP4/MOV source filter
! Ticket #311, High dpi awareness
! Ticket #970, "Always load external subtitles" fails if the subtitles
  filename contains LANG postfix
! Ticket #1166, Playlist was erased by pressing the "Close" (default Ctrl+C)
! Ticket #1427, Add the ability to use different mouse button bindings
  in windowed and fullscreen modes
! Ticket #1467, "Save Image" was sometimes skipping some frames
! Ticket #1519, Crackling/stuttering audio in some DTS for SPDIF output
! Ticket #1552, Fix the DVD angle display in the information panel (Ctrl+3)
! Ticket #1553, Fix display for DVD tracks without language information:
  the tracks were incorrectly numbered in the menu and the current OS
  language was displayed instead of "Unknown" in the information panel
  and OSD messages
! Ticket #1555/#1560, Improve OSD for DVD playback: simplify some messages
  and try to be consistent with the information panel
! Ticket #1559, Problem with Win7 Taskbar Preview
! Ticket #1566, Matroska MKV (MPEG2) Aspect Ratio ignored
! Ticket #1575, Time tooltips are cut in full screen mode
! Ticket #1587, AAC file played on MPC-HC 1.3.1249.0 and doesn't play on 1.5.2.3456
! Ticket #1596, correct calculation of the window size when caption hiding/showing
! Ticket #1622, Unable to seek in files when auto-play is off
! Ticket #1624, Full screen is not working with Intel G45 Express Chipset
! Ticket #1686/#1694, Improve MPC-HC web interface and embedded web server
! Ticket #1710/#1827, "On Top While Playing Video" stops working after fullscreen
! Ticket #1899, Improve Hebrew translation: the UI is now correctly displayed
  with a right-to-left layout
! Ticket #1928, MP4Splitter: ignore the bad AR
! Ticket #1941, Volume slider bug
! Ticket #1962, MPC-HC fails to play PCM audio in QuickTime .mov file
  (add support for 'lpcm' in .mov files; partial update for bento4 lib)


v1.5.2.3456 - 22 July 2011
==============================
+ Added optional fp32 (full float point) processing, fp16 is now half float point
+ Support for BluRay chapters
+ Added Hebrew translation (beta version, the right-to-left layout is not applied
  to all dialogs yet)
+ You can switch between the remaining time and the current time by clicking on the
  time itself on the toolbar
+ Ticket #29, Added an option to make the player on top only when playing
  video files. When using this option, the player won't be on top when
  playing an audio-only file
+ Ticket #1216, Added a "Clear" option to the playlist context menu
+ Ticket #1224, Added OSD messages when changing the audio boost and the audio balance
+ Ticket #1311, Added an "After Playback" => "Lock" option
+ Ticket #1350, Added a time tooltip for the seek bar whose position can be specified
  (above or below the seekbar)
+ Ticket #1377, Keep the same playback speed for all the items of the playlist
+ Ticket #1382, Added an OSD message when taking a screenshot
+ Ticket #1487, Show the saved position for favorites with "remember position"
  enabled in the "Organize Favorites" dialog
+ Ticket #1489, Add the ability to open favorites from the "Organize Favorites"
  dialog by double-clicking on an item
* The filters' settings are now saved in
  [HKCU\Software\Gabest\Media Player Classic\Filters]
* Improved the OSD message when changing the playback speed
* The hand cursor is not used anymore for the video frame unless the
  mouse pointer hovers a button in a DVD menu.
* Ticket #519, Replace the "Next (Previous) Playlist Item" command by a
  "Next (Previous) File" command which can also be used to play the next
  (previous) file in folder without stopping at chapters.
* Ticket #559, Replace jump forward and backward buttons in Windows 7 taskbar
  by next and previous buttons as they are probably used more often.
* Ticket #846, Use a different program id for x64 builds so that there
  is no conflict over file associations between x86 and x64 builds.
* Updated libpng to v1.5.4
* Updated MediaInfoLib to v0.7.47
* Updated ZenLib to v0.4.20
* Updated SoundTouch to v1.5.1pre r104
* Updated Little CMS to v2.2
* Updated libdca to SVN r90
* Updated French, German, Hungarian, Russian, Turkish, Ukrainian translation
! Ticket #20, [MKV] 2 or more video streams get played back simultaneously
  on top of each other
! Ticket #71, [MPEG] LPCM mono causes 50% playback speed
! Ticket #199, [MpegSplitter] no video with some files
! Ticket #285, Ambarella AVC not correctly splitted by MPC-HC's internal
  MP4/MOV source filter
! Ticket #384, disable Relative drive
! Ticket #613, Bugs of MPC-HC Dialog Fonts
! Ticket #622, Favorites are now correctly saved when changing settings
  location from registry to ini and vice versa.
! Ticket #740, Make EVR Sync stats better looking
! Ticket #760, Fixed playback of old .mov files with 'raw', 'twos' and 'ima4' audio
! Ticket #805, EVR Custom scanline and refresh rate detection fails occasionally,
  causing superspeed video
! Ticket #829, MPC-HC plays recent BBC HD recordings with no video
! Ticket #965, Add Full File Path Parameter to Status.html
! Ticket #989, Sliders at options are consistent with volume slider.
  Scroll/button up will move slider up (increase the value) while going
  other way, scroll/button down will decrease the value.
! Ticket #1029, MPEG-2 Profile detected incorrectly with MPEG splitter
! Ticket #1032, MPC-HC x64 does not work with Flash 64-bit
! Ticket #1059, Don't add files to Windows recent files list when "keep
  history of recently opened files" is unchecked.
! Ticket #1128, Thumbnails wider than 2048p
! Ticket #1157, The mute button had no effect if triggered during startup
! Ticket #1178, Fix OSD messages when toggling "Screen Space Pixel Shader" on/off
! Ticket #1212, Playing "Recent File" clears playlist, even though playlist
  contains file
! Ticket #1220, MPC fails to play specific MKV files
! Ticket #1251, If the window is maximized, it will stay maximized when removing
  the caption or the menus. The video frame will be extended rather than reducing
  the size of the window.
! Ticket #1321, IMpegSplitterFilter uses CString - should be WCHAR or BSTR instead
! Ticket #1383, Fix OSD positioning: messages displayed at the top-right of the window
  before going fullscreen were incorrectly positioned after switching to fullscreen
! Ticket #1483, Wrong order of "Video" and "Audio" in "Properties -> Details"
! Ticket #1509, Fix the "Prev Angle (DVD)" hotkey and add an OSD message when
  changing the angle using the hotkeys or the "Navigate" menu
! Ticket #1515, Disable "Disable Desktop composition (Aero)" menu entry on XP
! DVB, Channel switching for H-264 services is more stable now
! Some OSD messages were not translatable
! Use the correct icon for the message box appearing after the online
  subtitles database has been tested: the warning icon was always used
  even if the test was successful
! Numerous other bugfixes


v1.5.1.2903 - 29 February 2011
==============================
! Crash on Sandy Bridge processor


v1.5.0.2827 - 31 January 2011
==============================
+ Added new options to always default to external subtitles, ignore
  embedded subtitles and to set the autoload subtitle paths
+ Added support for "in24", "fl64", 8-bit "sowt", "IMA4" and "NONE"
  audio (old QuickTime PCM)
+ Added support for "in24", "in32", "fl32", "fl64"
  (both big-endian and little-endian) in .mov files
+ Ticket #784, Enable ctrl+A in the MediaInfo window
+ [DVB] LCN support, added EPG current event information, offset parameter for
  scanning channels, added channel encryption detection for DVB-t during scan
+ Added ignore encrypted channels checkbox during DVB scan
+ Armenian translation
* Updated FFmpeg
* Updated MediaInfoLib to v0.7.39
* Updated ZenLib to v0.4.17
* Updated Little CMS to v2.1
* Updated libpng to v1.4.5
* Updated libogg to v1.2.2
* Updated libvorbis to v1.3.2
* Cleaned up and optimized code for QT PCM, small corrections in MP4Splitter
* DVB: the current channel audio stream is memorized and selected by default
  each time the channel is switched back
* Removed DSM Converter (use the legacy branch if you need this feature)
* Removed RoQ splitter/decoder (same as above)
! Ticket #52,  [playlist] shuffle is broken
! Ticket #78,  ESC key cannot be assigned to other actions
! Ticket #293, giving "remember last window size" a meaning
! Ticket #564, EVR Sync enabled when it shouldn't be
! Ticket #627, Don't create the "AppData\Roaming\Media Player Classic"
  folder if the "Remember items" in playlist is disabled
! Ticket #628, Enable ctrl+A in Player-->Keys page
! Ticket #647, Weird "keys" listed
! Ticket #650, Non-media entry in playlist halts playback
! Ticket #651, Make EVR CP stats graph smaller
! Ticket #652, Escape key on certain form causes form to collapse
! Ticket #655, Crash with some BBC-HD samples
! Ticket #678, Remember last window size NOT working and mpc-hc.ini
! Ticket #698, VMR-9 (Renderless) + pixel shaders crashes
! Ticket #699, fix EAC3 mediatype and string
! Ticket #712, Audio renderer menu problem with Haali splitter after r2339
! Ticket #724, Frequency range and bandwidth value are currently
  not taken into account when doing a scan
! Ticket #753, DVB-T, internal MPEG-2 filter & wrong aspect ratio
! Ticket #775, Default options of DVD/OGM Preferred language should be
  "Default" not "English"
! Ticket #776, Mouse pointer hovering over window/video should be normal,
  not hand
! Ticket #778, Playlist interface problem
! Ticket #782, VMR-7 & 9 filter names misspelled
! Ticket #791, Change the cursor behavior
! Ticket #796, MPC HC window doesn't stay snapped to desktop corners
! Ticket #809, Resize-arrows no longer appear with caption hidden
! Ticket #889, [DVB] <enter> keypress in channel list makes whole pane gray
! Ticket #891, [DVB] clicking empty slot in channel list causes small playback
  hiccup
! Ticket #895, [DVB] some characters don't show in EPG OSD
! DVB Screen sizing: takes into account the TV Navigation panel
! Workaround to avoid madVR renderer freezing when switching DVB channels
! Bandwidth value was hardcoded to 8MHz when doing a scan or switching channels.
  The value entered in scan is now saved in the configuration


v1.4.2824.0 - 9 January 2011
==============================
! Crash on Sandy Bridge processor
! Freeze on fast forward with H264 decoder


v1.4.2499.0 - 7 September 2010
==============================
+ Seamless playback support for multi files BRD
+ Support for Windows 7 taskbar and thumbnails features
+ Added Catalan, Dutch and Japanese translations
+ VSFilter x64 is available
+ Added internal VP8 Decoder
+ MPC-HC can be compiled with MSVC2010 and Intel C++ Compiler
+ Support for MCE remote control (values added in AppCommand column in
  "Options/Player/Keys")
+ Support of Broadcom Video decoder for VC1, H.264 and MPEG-2
  (hardware acceleration)
+ Support for DVB subtitles
+ Open files to Recent Documents
+ AUTO HDMI MODE 1080p/24 support for fullscreen mode
+ Ticket #46, add number to AudioDevice list
+ Sync Renderer dialogs
+ Real Video decoder in MPCVideoDecoder
+ Support interlaced mode in fullscreen resolution list
+ Auto change fullscreen resolution for different video content
+ Fullscreen Options page
+ Video decoder, options for DXVA Compatibility check
+ Support for MPEG-2 bitstreaming in the DXVA decoder
+ Full screen resolution - support for native 23.976 and 29.97 mode
  (Vista and above only)
+ Auto resolution change for DVD
+ Always Exit after playback option
+ Support for SRM7500 remote control
+ New panel for switching DVB channels, audio and tuner scan
  accessible through View-->Navigation menu when in Capture mode
+ Automatically play next files in a folder
+ Implemented 'Quick add favorite' shortcut (default: Shift+Q)
  will use current settings from 'Add Favorite' dialog
+ Select D3D device for render, including DXVA if two or more video
  adapters are in the system (EVR Custom & VMR9-Renderless only)
+ Statistics - added render device
+ Ability to select OSD font & size
+ Option "Don't use 'search in folder' on commands 'Skip back/forward'
  when only one item in playlist"
+ H.264 L5.1 DXVA support for ATI cards with drivers > v8.14.1.6105
  (Catalyst 10.4)
+ MPCVideoDecoder, disable DXVA (H.264) for SD video (width < 1280)
+ Improved DXVA compatibility check
+ Implemented drag and drop folders with sub-folders
+ Support for MPEG-1/Layer1 audio stream in the Matroska splitter
+ Command to switch video frame mode (key 'P')
+ Video frame options like in TV: Zoom 1 and Zoom 2
+ Auto saving position every 30 seconds
+ Added internal filters context menu (disable/enable)
+ Command to reopen file (Ctrl+E)
+ Support for PGS in Matroska
+ Open root BD movie from command line & shell context menu
+ OSD messages added when switching audio stream or subtitles
+ OSD on Jump Forward/Backward (keyframe)
+ OSD when open DVD/BD
+ OSD for jump to chapter in file
+ Detect system UI language and set interface language at first run
+ Full ICC color management (Little CMS v2.1a library added)
+ Full floating point processing (FP16 temporary textures)
+ High-quality dithering (color management, full floating point
  processing, 10-bit -> 8-bit)
+ Option to force 10-bit EVR mixer input (probably hackish,
  but in many cases it seems to work)
+ Added MediaInfoLib (v0.7.35) (no need for MediaInfo.dll anymore)
+ Added support for MPEG-2_VLD DXVA for Intel G31/33
  (and maybe other Intel) chipset
* Updated UnrarDll. It is now possible to use the 64bit UnrarDll
  with the 64bit MPC-HC
* Updated Detours to v2.1 build 216
* Updated Bento4 to v1.2.3.0
* Updated libpng to v1.4.3
* Updated SoundTouch to v1.5.0
* Updated zlib to v1.2.5
* Updated libogg to v1.2.0
* Updated libvorbis to v1.3.1
* Updated PNGDIB to v3.1.0
* Updated sizecbar to v2.45
* Better support for madVR
* Updated Hungarian, Russian, Polish, Slovak, Portuguese, Ukrainian,
  Spanish, Swedish, Czech, Traditional Chinese, German, Italian, Turkish
  and Hungarian translations
* Updated FFmpeg
* Updated installer script
* "DirectShow Audio" label on playback->output now says "Audio Renderer"
* Ticket #27: Allow screensaver to activate when audio only
  (sleep is still stopped)
* Add open file to Recent Document only if "Keep history of recently
  opened files" is checked
* Select and change resolution for selected fullscreen monitor
* Improve options for fullscreen monitor and resolution
* Open DVD root folder (include VIDEO_TS) from explorer context menu
* Many internal code improvements for more stability
* Improved playlist
* Improved subtitle handling
* Rewritten DVXA check for better readability
* Disabled internal H.264 (AVC) decoder for interlaced files
  (bad supported by FFmpeg)
* Show filename in OSD at open, instead "Pause/Play"
* Add 'x64' suffix in Title and in the About dialog for the x64 build
* OSD file name at open show delay up to 3 sec.
* Core rendering code in the DX9AllocatorPresenter class is moved
  to a new class: DX9RenderingEngine
* "10 bit RGB" option changed to "10-bit RGB Output", does not affect
  internal processing anymore
* Removed unnecessary temporary texture allocations
* Removed old player logos and added a new one
! Name of MPC-HC in title bar (Bug #2826963)
! Web interface status.html not showing status/media state when
  Status bar is turned off (Bug #2025675)
! Ticket #12,  crash/hang after standby, hibernate, UAC or CTRL+ALT+DEL
! Ticket #74,  [MP4] AAC sound stops playing
! Ticket #116, issue with some MPEG (mono) audio playback
! Ticket #120, Inner PCM inside QT .mov is supported now
! Ticket #150, issue with playback AMR sound
! Ticket #161 and #414, "no audio capture device"
! Ticket #163, Crash with RealMedia
! Ticket #237, DVB channels are all saved as number 0 when tuning
! Ticket #242, No PCM sowt audio in MOV
! Ticket #258, speaker configuration in Audio Switcher isn't stored
! Ticket #281, [CAPTURE] No video decoding when capturing from DVB-T
  card with internal MPEG2 DVXA Decoder enabled
! Ticket #282, Auto-zoom function problem
! Ticket #295, SSA/ASS and other save subtitle formats problem
! Ticket #300, Regression when hiding Caption and Menubar
! Ticket #333, Missing tracks when playing a TS file
! Ticket #363, #563, Can't open some mp3
! Ticket #385, no chapters with MP4Splitter
! Ticket #455, Bug with PGS subtitles
! Ticket #456, Problem with auto-loading subtitles fixed
! Ticket #465, MPEG/TS splitter can't recognize some video track
! Ticket #477, Internal audio switcher
! Ticket #489, MPC-HC API improvements
! Ticket #502, Problem with D3D9Ex
! Ticket #513, .rmvb interlaced decoding
! Ticket #511, Subtitle renderer crash fixed
! Ticket #528, Unable to scan for dvb-t
! Ticket #536, [MKV] Default values of the specification should be
  strictly followed
! Ticket #576, Next AR Preset Issue
! Ticket #578, VSFilter crash fix with certain malformed drawing lines
! Ticket #599, ignores /audiorender option
! Ticket #601, BD movie length detect wrong
! Ticket #660, Pressing left arrow under Options->Logo causes right
  arrow to disappear
! Ticket #661, Ctrl+C / File->Close form size discrepancy
! Ticket #672, DVB-T - image problems after changing from TV channel
  to radio & back
! Ticket #677, Wrong colors using Color Management
! Ticket #679, add color management status in EVR CP graph settings
! Ticket #680, "Don't hide controls in full screen" does not work
  unless you move the mouse
! Ticket #694, DLL preloading vulnerability
! Ticket #696, [GUI] use options dialog causes main window elements
  to disappear
! Ticket #714, MPEG2 detected as H264
! Ticket #717, Fullscreen controls are not displayed until mouse is moved
! Opening multiple files via Explorer context menu
! Memory leak in libavcodec
! Memory leak in DXVA decoder
! Playback of some broken avi files
! Fix VCD playback
! Better detection of "Used For Reference Flags" (fixes some broken
  DXVA samples)
! Screensaver activating during video playback on XP
! Audio language detection for HDMV (broken by seamless playback feature)
! Bug with prevent sleep mode
! Bug in "Open File" dialog & "Add to Playlist" checked
! Default (center) window position after file close
! Issue with a switch to fullscreen mode
! FavoriteAdd dialog
! Possible buffer overflows
! Bug with launch in fullscreen
! Incorrect decoding with MPEG-2 bitstream decoder on video with
  alternative scan
! Seeking problem with MPEG files
! Don't show OSD message when auto play is disabled
! Checking for duplicates in display modes
! Correct state when done playback (rewind fix)
! Incorrect minimal window height calculation when caption is on
! Search in dir function
! Play video from network share
! Incorrect position (desktop) after fullscreen when playing multiple
  files on multi-monitor systems
! Playback issue for some H.264 media files captured from digital cameras
! Various DVB-T fixes
! DXVA regression: black video with some files
! Crash in Matroska splitter with unknown streams
! OSD shown wrong (previous) audio stream on change
! Improved DVD resume
! Crash with some VOB subtitles
! Undetected H.264 video streams in MPEG splitter
! Incorrect identification of the video stream in MPEG splitter
  (H.264 instead of MPEG-2)
! Logical/numeric sorting in Playlist, "Play next in the folder"
! OSD on open BD
! MPEGSplitter - could not read some MPEG files
! Crashes with MSVC2010 builds
! The EVR mixer output media subtype matches the surface format
  (as a consequence, it's always RGB)
! Incorrect length detection of MPEG, DVD (.ifo)


v1.3.1249.0 - 26 August 2009
============================
+ Support for FLAC audio streams
+ Support for Dolby Digital+ (EAC3) and Dolby true HD (MLP)
+ Nellymoser audio decoder
+ Belarusian, Brazilian and Swedish translation
+ New shader "Sharpen Complex 2" (required hardware compatible with
  pixel shader 2.A)
+ Support for madVR video renderer (http://madshi.net/madVR.zip)
+ Additional information on video using MediaInfo
  (DLL can be download from http://mediainfo.sourceforge.net
  and placed in MPC-HC directory)
+ Internal DXVA decoder support for H.264 with Intel G45
  (thanks to the people who helped me at Intel Corp.)
* Add support of interlaced flags in software mode for MPCVideoDecoder
  filter
* D3DFullScreen mode now takes into account the monitor to full-screen
  mode in options, if monitor is not specified on the command line
* Auto-hide playlist on fullscreen (feature request #2219561)
* Detours library updated to v2.1
* Support for AC3 in MP4 splitter
* Support for EAC3 in Matroska splitter
* Hotkeys added to support more remote control keys
* Support for Theora in Matroska internal splitter
* libvorbis updated to v1.2.3
* libogg updated to v1.1.4
* Improved streaming performances
* Prevent display or computer to sleep during playback
* FAAD library updated to rev 2.2.7
* libpng updated to release 1.2.38 (fix security bug)
* Playlist file is now saved in the MPC-HC folder (patch # 2671496)
* frame by frame modify to support step frame back functionality
  (except for VMR9)
* support for AC3 in MP4 files created with Nero Digital
* EVR Custom and VMR9 Renderless revamped (Beliyaal),
  better synchronization, remove tearing in windowed mode,
  support for dialog box in DirectX exclusive mode, ...
! Support for Theora stream in Ogg internal splitter
! Save thumbnails crash in x64
! Bugs on presentation graphics
  (missing subtitles, better synchronization)
! Audio change on M2TS files reset the selected subtitle
! Switch to "Minimal view" reset main menu language to English
! Bug in MPEG splitter for VC1
! Maximum texture resolution to "Desktop" not working with Haali
  renderer (Bug #2456735)
! Better synchronization with EVR Custom to improve playback smoothness
! 24 bits LPCM not properly play
! Possible deadlock with Reclock
! Support of framestep backward, even if the codec didn't support it
  natively (bug #2600542)
! DXVA decoder support multiple graphics cards
  (PCI vendor id detection on the fly)
! Incorrect aspect ratio for some H.264 files with DXVA1 decoder
  (extended SAR)
! H.264 files with 16 reference frames freeze during playback
  (bug #2795785 and #2784256)
! AVI with H.264 not decoded properly (bug #2794854)
! Revamped DXVA H.264 decoder based on new insights, fixing black screen
  macroblock, support for AVI, ...
! Incorrect playback for padded DTS
! Hang when moving player between monitors


v1.2.908.0 - 30 November 2008
=============================
+ support Multi-Monitor configuration, select Monitor for full-screen
  playback
+ a minidump file is created when MPC-HC crashes
+ Simplified Chinese & Traditional Chinese translations
+ Pixel shader to convert BT601 -> BT701 (request #1911511)
+ YV12 Chroma Upsampling pixel shader added
  (http://forum.doom9.org/showthread.php?p=1184975#post1184975)
+ Recursively adding directories to the Playlist
  (feature request #2013805), add as New Menu item
+ Support for M2TS presentation graphics streams
  (only for EVR Custom and VMR9 Renderless)
+ Command line switches "/startpos hh:mm:ss.ff", "/dvdpos title#chapter"
  and "/dvdpos title#hh:mm:ss.ff" to start playback to position
+ Different icons for each format associated with MPC-HC
+ support H.264 and AAC in FLV splitter
* Add VIRTKEY for "Save Thumbnails" (request #1964399)
* Store the settings for the internal DXVA/FFmpeg decoders
  in a different value than the other internal decoders. This makes
  the settings better interchangeable with older MPC-HC builds.
  Also gives more room in the bitvector for adding more decoders
  in the future (FFmpeg based)
* PAR correction option (for anamorphic video)in VSFilter
  and RealText support
* Updated liba52 & libdts libraries
* The x64 version of MPCVideodec is now built using GCC/MinGW64
  (improves performance)
* GUI option for Explorer Context menu->Files (see Formats Page)
* GUI option for Explorer Context menu->Directory (see Formats Page)
* Open directory (shell context menu or MPC-HC menu) -
  load only enqueues audio/video files, those with file extensions
  from the Formats page in MPC-HC options
* Replaced command line switches /unregvid and /unregaud with
  a new switch /unregall. This cleans up all file associations,
  including image/playlist formats
* Change in VideoDecoder Settings for rev.681 (read AR from stream)
* Open DVD detect and open Blu-Ray main movie
* EAC3 support in MPEG splitter
* Number of files and DVD position increase from 5 to 20 (req #1819709)
* Bypass of UOPs for DVD (req #1811508). This feature didn't work
  for the x64 build
* libpng updated to release 1.2.32 (fixes a memory leak)
! Chapter message improperly displayed in status bar (for file only)
! Crash with CoreAVC when changing "preferred decoder" setting
  during playback
! Missing checkmarks on "tearing test" and "display stats" options
  (bug #2010857)
! Save image/thumbnail not working with EVR (bug #2010681)
! Workaround to prevent GraphEdit crash when MPCVideoDec.ax
  was registered.
  (when opening menu "Graph/Insert filter/Direct show filters")
! Fix rare seeking issue with VobSub in VSFilter
! Subtitle style not save in settings
! random freeze when using MPC-HC, VSFilter and Haali renderer
  at the same time
! shortcuts with MEDIA_PLAY, MEDIA_PAUSE not working with some
  remote controls
! shortcuts label in "Option / Key" dialog box is now localized
! MPC-HC file association cleanup bug (rev.731), these commands
  are not working: mplayerc /unregvid, mplayerc /unregaud
! Freeze when playing MPEG-2 or Xvid file
! Remember position not working with some DVDs
! DXVA decoder now support H.264 interlaced video
! Crash/black screen with DXVA decoder with some ATI cards
! Incorrect aspect ratio with some H.264 files (extended SAR)


v1.1.604.0 - 28 June 2008
=========================
+ Subtitle delay support (this one does not modify the subtitle file)
+ Polish, Ukrainian, Italian & Slovak translations
+ Support for M2TS files with H.264, VC1, AC3, DTS, LPCM
+ MPEG-2 support for x64 edition
* Improved support for audio and subtitle switching with the
  internal MPEG splitter
* Size shrink for the translation DLLs
* New property page for "MPC - Video decoder" standalone filter
  to select activated codecs
* Option added in "MPC - Video Decoder" property page to disable
  FFmpeg software decoding (to use other decoder instead)
* Added file extensions EVO, M2TS and M4A in option / format
* Force using 3D surface with EVR Custom Presenter
* x64 executable is now named mplayerc64.exe
! Sorenson video was not played when DXVA was activated
! Minimum EVR buffer set to 3 (instead of 1)
! Better subtitle synchronization with EVR Custom Presenter
  (delay due to buffering remove)
! DXVA compatibility improved with some NVIDIA cards
! Reported subtitle fixes from Guliverkli2
! Incorrect colors with DXVA internal decoder for H.264 files
  with multiple PPS / SPS settings
! Broken FLV playback
! EVR Custom Presenter incompatibility with Microsoft MPEG-2
  and CyberLink decoder
! DXVA decoding bugs for some H.264 files
! Memory leak in the DXVA decoder (bug #1962448)
! Crash on stop/play with the DXVA decoder
! Random crash with EVR Custom Presenter
! Macroblocks with NVIDIA card
  (appear on H.264 streams with custom quantization matrix)
! Access violation using VSFilter as AviSynth plugin
! Some H.264 streams was not recognized by internal MPEG splitter
  (PPS and SPS present on different packets)
! Black screen when OSD or subtitles was displayed in x64 release
! Wrong Aspect Ratio when using "Save thumbnails" with EVR CP


v1.1.0.0 - 6 March 2008
=======================
+ Custom presenter now support DXVA2, and display hardware acceleration
  mode in Jitter test information
+ Internal video decoder based on FFmpeg for Flash video
  (FLV4, VP5, VP6), AMV, MPEG4, SQV, Theora, VC1, XVID, and DivX
+ Internal video decoder H.264 with DXVA 1 acceleration
  (using VMR9 or overlay on XP) and DXVA2 (using EVR on Vista)
+ Korean translation
* FAAD library updated to 2.6
* Standalone filter renamed to be prefixed by "MPC - xxx"
* CSS classes added in WebServer (request #1885296)
! Incorrect colors on video when using YUV mixing
  and "VMR Color controls"
! PN31 driver installation was not working
! MPC-HC graph manager now use the same filter priority as WMP
  and GraphEdit (clsid's patch)
! MPC-HC is now recognized as an application by SUMo
  (http://www.kcsoftwares.com/index.php?sumo)
! Ghost horizontal and vertical lines with Pixel Shader resizer
  (especially on ATI graphics card)
! Crash in FLV splitter with file containing 0 bytes packets
! Button "Video" in format property page didn't select images anymore
! No sound in some FLV video with Nellymoser audio track
! Multimedia keys (mute, vol+-, ...)
  was captured by MPC-HC even if option "global media keys" was off
! YUV mixing is now disable with Vista
  (not supported by Vista VMR9, and cause black screen)


v1.0.11.0 - 14 October 2007
===========================
+ Command Line Option "/dubdelay" applies a positive or negative
  audio delay of ???ms, if filename contains "DELAY ???ms"
  (internal Audio Switcher required)
+ Russian, Turkish, Czech, Spanish and Hungarian translations
+ Internal AVI splitter support AMV files
  (need an ffdshow update to decode)
* File type association. MPC-HC is now recognized as a registered media
  player application. File type registration now compatible with UAC (Vista)
* Matroska internal subtitles are not loaded
  if "auto-load subtitles" option is off
* Allow DirectShow to use a disabled internal source
  and transform filters when no other suitable filter is available
! Subtitle popup menu not working in French
! "Remember file position" option is not working properly
  in playlist mode
! Crash when opening "Navigation" menu while playing DVD
  (German locale only)
! Memory leak with window resize
! Many GUI related things
! Crash when opening zero byte length MP3 files
! Crash when using "Save thumbnails" with number of row or column
  greater than 8 (now internally limited to 8)


v1.0.10.0 - 15 September 2007
=============================
* Latest clsid's patches (Bento4 0.9.3, FAAD2 2.6b, dtsdec 0.0.2,
  libmad 0.15.1b, zlib 1.2.3, MPEG decoder: progressive frames fix,
  MPEG decoder: DSUtil interlaced fix v2)
* libpng 1.2.20
+ Command Line Option "/d3dfs" to start MPC-HC in D3D Fullscreen mode
+ Logitech LCD support (e.g. G15 keyboard)
* Remember File and DVD position works only when "Keep history"
  is active (preserve privacy issue)
* Kick off Screen Saver from Power Options only while video is playing
  (Vista)
+ Build for x64 platforms
+ Multilingual support for English, French and German
* DirectX SDK updated to August 2007 (v35)
! Wrong Aspect Ratio with EVR CP (definitely i hope :-)
! Internal MPEG-2 Decoder was not working with EVR and EVR CP
! Audio sync problems with Blu-Ray/HD DVD DTS files
  [wrong AvgTimePerFrame calculation for DTS and AC3 (madshi)]
! OSD was not working when D3DX9_XX dll was not present
  (random pixels shown in top of video)
! Mouse now working in DVD menu with EVR Custom Presenter (Vista)
! FLV Splitter when video does not start with keyframe
! Vulnerability CAL-20070912-1 in AVI Source Filter
  (arbitrary code execute with users privileges)
! Vulnerability in FLI internal source filter


v1.0.9.0 - 14 July 2007
=======================
* OSD improved for EVR Custom Presenter
! EVR Custom Presenter rendering thread stability
! EVR Custom Presenter doesn't need mfplat.dll anymore
  (the dll is installed with WMP 11)
+ Exit Option in popup menu
! Use same registry key like original Gabest Media Player Classic
! Freeze when playing audio only file with EVR Custom Presenter
! Wrong Aspect Ratio with anamorphic video using EVR Custom Presenter
! When Video pause, frame stepping with EVR Custom Presenter started
  video playback at normal speed
! Save thumbnail with EVR Custom Presenter froze MPC-HC
! FLV splitter did not read width and height out of metadata
  (thanks to Chobits for this fix)
! If more than one subtitle text rows shown, the background
  ("Outline" color) vertically overlapped the other one


v1.0.8.0 - 31 May 2007
======================
+ Kick off Screen Saver from Power Options, only when MPC-HC has focus
  (Vista)
! Jitter test was not displayed with some files
! Crash if statistics should be displayed, when d3dx9_29.dll
  was not present
! Possible crash when closing file, while OSD was displayed
! DVD menu freeze with EVR CP and NVIDIA Pure Video decoder (Win XP)
! Mouse-click to play not working at the bottom of video
! MKV internal subtitles were not displayed from time to time
! Video disappeared when moving MPC-HC to other screen
  with EVR Custom Presenter on dual display


v1.0.7.0 - 27 May 2007
======================
+ "EVR Custom Presenter" mode added as output renderer. In this mode
  EVR supports internal MPC-HC subtitles, D3D Fullscreen, tearing test
  and Pixels Shaders
+ Statistics option currently displays the jitter curve
  (Ctrl+J to activate) for VMR9 Renderless and EVR Custom Presenter
* Output property page, options now are disabled when not supported
  by the selected renderer
! Mouse cursor invisible in Fullscreen mode
! Mouse-click to play was not working with some renderers
! A one pixel width rectangle was not displayed around the video window
  (refresh problem)
! Crash when switching from VMR9 Renderless to VRM7 Renderless (Vista)


v1.0.6.0 - 07 May 2007
======================
+ VP62 codec internal filter re-activated
+ MPEG4 splitter internal filter re-activated
* _xxl patches included (VP62 codec internal filter, MPEG4 splitter
  internal filter)
! Window "flashing" during resize, after video loaded


v1.0.5.0 - 05 May 2007
======================
+ MPC-HC is now Vista ready, added Enhanced Video Renderer (EVR) with OSD support
+ Shuttle PN31 Remote Control support
+ Subtitle synchronization with keyboard shortcuts or remote control
! Fixed bug at internal filter property page


v1.0.4.0 - 09 May 2006
======================
* OSD improvement
+ Remaining time displayed (Ctrl+I or "Remaining_Time" with WinLIRC)
+ OSD Fast forward / rewind speed display
* OSD FF/Rew for DVD playback: slow forward replaced by rewind, no more
  predefined speed limits (feature depends on MPEG-2 decoder capabilities)
! Taskbar Display bug in D3D Fullscreen mode
! Mouse cursor invisible in D3D Fullscreen mode


v1.0.3.0 - 02 May 2006
======================
+ YUV mixer mode for VMR9
+ OSD for VMR9 output for languages selection
+ "DVD Menu Activate" can also be used to start playback
  (useful when using remote control via WinLIRC)
! Aspect Ratio bug in D3D Fullscreen mode


v1.0.2.0 - 23 April 2006
========================
* D3D Fullscreen mode improved
! VMR9 Color control bug


v1.0.1.0 - 09 April 2006
========================
+ DVD open dialog now allows selecting the source folder or drive
+ Possibility to save video position for the last 5 DVDs and/or files
  to resume playback at this position when MPC-HC is restarted
+ Shortcut to inhibit Pixel Shaders (Ctrl+P). Only additional
  Pixel Shaders effects are concerned (always used if resize active)


v1.0.0.0 - 29 March 2006
========================
+ Color control option for VMR renderer
+ Automatically reload Pixel Shaders at startup
+ Tearing test function (Ctrl+T): displays 2 moving bars
  (useful to also show judder)
